# Enum Class HTTPSamplerBase.SourceType

java.lang.Object
java.lang.Enum<HTTPSamplerBase.SourceType>
org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.SourceType

All Implemented Interfaces:
  `Serializable, Comparable<HTTPSamplerBase.SourceType>, Constable`

Enclosing class:
  `HTTPSamplerBase`

public static enum HTTPSamplerBase.SourceType extends Enum<HTTPSamplerBase.SourceType>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEVICE`
`DEVICE_IPV4`
`DEVICE_IPV6`
`HOSTNAME`

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`propertyName`

## Method Summary

Modifier and Type
Method
Description
`static HTTPSamplerBase.SourceType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HTTPSamplerBase.SourceType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HOSTNAME

public static final HTTPSamplerBase.SourceType HOSTNAME

### DEVICE

public static final HTTPSamplerBase.SourceType DEVICE

### DEVICE_IPV4

public static final HTTPSamplerBase.SourceType DEVICE_IPV4

### DEVICE_IPV6

public static final HTTPSamplerBase.SourceType DEVICE_IPV6

## Field Details

### propertyName

public final String propertyName

## Method Details

### values

public static HTTPSamplerBase.SourceType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HTTPSamplerBase.SourceType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null